<?php
/*
Plugin Name: Google Adsense Widget Plugin
Plugin URI: http://www.oamaru.net.nz/
Description: A simple plugin that adds Google Adsense to your website
Version: 1.0
Author: OPC
Author URI: http://www.oamaru.net.nz
License: GPL2
*/

class GAdsense_plugin extends WP_Widget {
	function GAdsense_plugin() {
    parent::WP_Widget(false, $name = __('Google Adsense', 'GAdsense_widget_plugin') );
	}

function form($instance) {
if( $instance ) {
		$title = esc_attr( $instance['title'] );
		$dataadclient = esc_attr( $instance['dataadclient'] );
		$dataadslot = esc_attr( $instance['dataadslot'] );
		$dataadformat = esc_attr( $instance['dataadformat'] );
	} else {
		$title = 'Google Advert';
		$dataadclient  = 'ca-pub-4750932669375861';
		$dataadslot = '2871585831';
		$dataadformat = 'auto';
	}
	?>
	<p>
	<label for="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>"><?php _e( 'Widget Title', 'GAdsense_widget_plugin' ); ?></label>
	<input id="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'title' ) ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
	</p>
	<p>
	<label for="<?php echo esc_attr( $this->get_field_id('dataadclient') ); ?>"><?php _e( 'Data ad client:', 'GAdsense_widget_plugin' ); ?></label>
	<input id="<?php echo esc_attr( $this->get_field_id('dataadclient') ); ?>" name="<?php echo esc_attr( $this->get_field_name('dataadclient') ); ?>" type="text" value="<?php echo $dataadclient; ?>" />
	</p>
	<p>
	<label for="<?php echo esc_attr( $this->get_field_id('dataadslot') ); ?>"><?php _e('Data ad slot:', 'GAdsense_widget_plugin'); ?></label>
	<input id="<?php echo esc_attr( $this->get_field_id('dataadslot') ); ?>" name="<?php echo esc_attr( $this->get_field_name('dataadslot') ); ?>" type="text" value="<?php echo $dataadslot; ?>" />
	</p>
	<p>
	<label for="<?php echo esc_attr( $this->get_field_id('dataadformat') ); ?>"><?php _e('Data ad format:', 'GAdsense_widget_plugin'); ?></label>
	<input id="<?php echo esc_attr( $this->get_field_id('dataadformat') ); ?>" name="<?php echo esc_attr( $this->get_field_name('dataadformat') ); ?>" type="text" value="<?php echo $dataadformat; ?>" />
	</p>	<?php

	}

	function update($new_instance, $old_instance) {
	      $instance = $old_instance;
	      // Fields
	      $instance['title'] = strip_tags($new_instance['title']);
	      $instance['dataadclient'] = strip_tags($new_instance['dataadclient']);
	      $instance['dataadslot'] = strip_tags($new_instance['dataadslot']);
			 $instance['dataadformat'] = strip_tags($new_instance['dataadformat']);
	     return $instance;
	}

function widget($args, $instance) {
   extract( $args );
   // these are the widget options
   $title = apply_filters('widget_title', $instance['title']);
   $dataadclient = $instance['dataadclient'];
   $dataadslot = $instance['dataadslot'];
	 $dataadformat = $instance['dataadformat'];
   echo $before_widget;
   // Display the widget
   echo '<div>';
?>

<script async src="//pagead2.googlesyndication.com/pagead/js/adsbygoogle.js"></script>
<!-- auto -->
<ins class="adsbygoogle"
     style="display:block"
     data-ad-client="<?php if( $dataadclient ) { echo $dataadclient; } ?>"
     data-ad-slot="<?php if( $dataadslot ) { echo $dataadslot; } ?>"
     data-ad-format="<?php if( $dataadformat ) { echo $dataadformat; } ?>"></ins>
<script>
(adsbygoogle = window.adsbygoogle || []).push({});
</script>
<?php

   echo '</div>';
   echo $after_widget;
}


}

add_action('widgets_init', create_function('', 'return register_widget("GAdsense_plugin");'));
?>
